56ec8a1f4b
closes rhbz#2090942 Remove 'which' dependency, closes rhbz#2111531 Add support for detecting EFI shell binary (shell.efi), closes rhbz#2101953 Add support for Win 11 on ARM 64 systems
18 lines
375 B
Diff
18 lines
375 B
Diff
Index: os-prober/common.sh
|
|
===================================================================
|
|
--- os-prober.orig/common.sh
|
|
+++ os-prober/common.sh
|
|
@@ -336,3 +336,12 @@ linux_mount_boot () {
|
|
|
|
mountboot="$bootpart $mounted"
|
|
}
|
|
+
|
|
+umount() {
|
|
+ if ! command umount $@ 2> /dev/null; then
|
|
+ error "umount error, retrying after 1 sec"
|
|
+ sleep 1
|
|
+ command umount $@
|
|
+ fi
|
|
+}
|
|
+
|